<?php

namespace Schaffen\Core\Company\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Fiscal\Company\Models\CFOP;
use Schaffen\Fiscal\Company\Models\Tax;

class FilialTaxServiceTelecomunication extends Model
{
   protected $connection = 'dynamicdb';
   const CREATED_AT = "fist_date_insert";
   const CREATED_BY = "fist_user_insert";
   protected $table = "cadastro.filial_imposto_servico_telecomunicacao";
   protected $primaryKey = "fist_codigo";
   protected $fillable = [
      "fist_codigo",
      "fist_aliquota",
      "fist_fk_fil_codigo",
      "fist_fk_imp_codigo",
      "fist_fk_cfop_codigo",
   ];

   protected $with = [
      'tax', 'cfop'
   ];

   public function filial()
   {
      //Tabela 1 referencia 2
      return $this->belongsTo(Branch::class, 'fist_fk_fil_codigo');
   }

   public function tax()
   {
      //Tabela 1 referencia 2
      return $this->belongsTo(Tax::class, 'fist_fk_imp_codigo');
   }

   public function cfop()
   {
      //Tabela 1 referencia 2
      return $this->belongsTo(CFOP::class, 'fist_fk_cfop_codigo');
   }
}
