<?php

namespace Schaffen\Core;

use Illuminate\Database\Eloquent\Relations\Relation;
use Illuminate\Routing\Router;
use Illuminate\Support\ServiceProvider;

class CoreServiceProvider extends ServiceProvider
{
    public function boot()
    {

        $morph_map = Relation::morphMap();
        Relation::morphMap(array_merge($morph_map, [
            'visitation-reason' => 'Schaffen\Core\Visitation\Models\VisitationReason',
            'form-grouping' => 'Schaffen\Core\Form\Models\FormGrouping',
        ]));

    }

    /**
     * Define the routes for the application.
     *
     * @param Router $router
     * @return void
     */


    public function register()
    {
        $this->registerServiceOrder();
    }

    private function registerServiceOrder()
    {
        $this->app->bind('core', function ($app) {
            return new Core($app);
        });
    }

}
