<?php


namespace Schaffen\Core\Visitation\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Form\Models\FormAssociation;
use Schaffen\Core\Form\Traits\HasForms;

class VisitationReason extends Model
{
    use HasForms;

    const STATUS_ACTIVE = 1;
    const STATUS_INACTIVE = 0;

    const CREATED_AT = 'mov_date_insert';
    const UPDATED_AT = 'mov_date_update';
    protected $connection = 'dynamicdb';
    protected $table = "movimentacao.motivo_visita";
    protected $primaryKey = "mov_codigo";
    protected $fillable = ["mov_descricao", "mov_status"];

    public function association()
    {
        return $this->hasMany(FormAssociation::class, 'foa_formeavel_codigo')
            ->where('foa_formeavel_tipo', FormAssociation::VISITATION_REASON);
    }
}